Bug 249509 - ring id not stored properly in all cases
ring id not stored properly in all cases
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: openais (Show other bugs)
All Linux
low Severity high
: ---
: ---
Assigned To: Steven Dake
Depends On:
  Show dependency treegraph
Reported: 2007-07-25 05:46 EDT by Steven Dake
Modified: 2016-04-26 10:18 EDT (History)
1 user (show)

See Also:
Fixed In Version: RHBA-2007-0599
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-11-07 12:00:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
patch to fix the problem. (2.39 KB, patch)
2007-07-25 05:48 EDT, Steven Dake
no flags Details | Diff

  None (edit)
Description Steven Dake 2007-07-25 05:46:41 EDT
Description of problem:
IN some cases (crash or kill of a node) the ring id for a node that has reached
consensus is not stored in the commit phase before the commit token is sent. 
Instead it is saved when the operational state is entered.  This leaves a race
where the new ring id for the processor could be lost between the sending of the
commit token and the entering of the operational phase.

Also the ring id is not fsync'ed which could mean the ring id could be in
transit before originating the commit token.

Version-Release number of selected component (if applicable):

How reproducible:
very difficult to reproduce took 15+ hrs of run time of mp5 

Steps to Reproduce:
1. run mp5
Actual results:
ring id is stored when entering operational phase.

Expected results:
ring id should be stored when the commit token is forwarded for the first time.

Additional info:
patch attached to fix the problem.
Comment 1 Steven Dake 2007-07-25 05:48:31 EDT
Created attachment 159909 [details]
patch to fix the problem.
Comment 2 RHEL Product and Program Management 2007-07-25 05:55:30 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
Comment 5 errata-xmlrpc 2007-11-07 12:00:11 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.